MDIO_READ(9)

NAME
mdio_read - read MII PHY register

SYNOPSIS

int mdio_read (struct net_device * net_dev, int phy_id, int location);

ARGUMENTS

net_dev
    the net device to read

phy_id
    the phy address to read

location
    the phy regiester id to read

DESCRIPTION

Read MII registers through MDIO and MDC using MDIO management frame structure and protocol(defined by ISO/IEC). Please see SiS7014 or ICS spec

AUTHORS
Ollie Lho, Lei Chun Chang.